=== debian/changelog ===
kexi (1:3.2.0-5) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113075)
  * Tweak watch file so it works with newer versions of uscan.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 20:42:10 +0200

kexi (1:3.2.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop kexi-web-form-widget package. (Closes: #1093534)

 -- Bastian Germann <bage@debian.org>  Fri, 31 Jan 2025 21:12:01 +0100

kexi (1:3.2.0-4) unstable; urgency=medium

  * Drop the unused libpqxx-dev build dependency.
  * Use secure URI in Homepage field.
  * Update standards version to 4.7.0, no changes needed.
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 09:11:53 +0200

kexi (1:3.2.0-3) unstable; urgency=medium

  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default behaviour
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Backport upstream commit 73d3fa8e7a1028c89b20c74f6444a76a722d8041 to fix
    build with glib >= 2.68; patch
    upstream_Include-glib.h-outside-of-the-extern-block.patch.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 19:21:24 +0200

kexi (1:3.2.0-2) unstable; urgency=medium

  * Use the Debian postgresql-common stuff to force the default version of
    PostgreSQL:
    - invoke /usr/share/postgresql-common/supported-versions, getting the
      default version of it
    - pass -DPostgreSQL_ADDITIONAL_VERSIONS to cmake
    - drop upstream_cmake-find-PostgreSQL-12.patch, no more needed now
  * Add the libkf5doctools-dev build dependency to install the documentation
    - update kexi-data.install accordingly
    - pass -DSHOULD_BUILD_DOC=ON to cmake to enable also the English
      documentation
  * Small copyright update.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Nov 2019 08:38:43 +0100

kexi (1:3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump the libkdb3-dev, libkproperty3-dev, and libkreport3-dev build
    dependencies to >= 3.1.91~.
  * Update the patches:
    - upstream_Fix-build-with-Qt-5.11-missing-headers.patch: drop, backported
      from upstream
    - upstream_Install-the-application-icons.patch: drop, backported from
      upstream
    - upstream_cmake-find-PostgreSQL-11.patch: drop, backported from upstream
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Backport upstream commit a86e74fc6364f3ac4adbbf6712eb4f348e68e308 to build
    with newer KF; patch upstream_Fix-build-with-Qt-5.13.patch.
  * Backport upstream commit 88ac2b4a1386bc05f0e3965f31949039eaf4d3ff to find
    PostgreSQL 12; patch upstream_cmake-find-PostgreSQL-12.patch.

 -- Pino Toscano <pino@debian.org>  Mon, 28 Oct 2019 22:56:31 +0100
