=== debian/control ===
Source: kexi
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: breeze-icon-theme-rcc,
               cmake (>= 3.0),
               debhelper-compat (= 13),
               default-libmysqlclient-dev,
               extra-cmake-modules (>= 1.8.0),
               gettext,
               libglib2.0-dev,
               libkdb3-dev (>= 3.1.91~),
               libkf5archive-dev (>= 5.16.0),
               libkf5codecs-dev (>= 5.16.0),
               libkf5completion-dev (>= 5.16.0),
               libkf5config-dev (>= 5.16.0),
               libkf5configwidgets-dev (>= 5.16.0),
               libkf5coreaddons-dev (>= 5.16.0),
               libkf5crash-dev (>= 5.16.0),
               libkf5doctools-dev,
               libkf5guiaddons-dev (>= 5.16.0),
               libkf5i18n-dev (>= 5.16.0),
               libkf5iconthemes-dev (>= 5.16.0),
               libkf5itemviews-dev (>= 5.16.0),
               libkf5kio-dev (>= 5.16.0),
               libkf5texteditor-dev (>= 5.16.0),
               libkf5textwidgets-dev (>= 5.16.0),
               libkf5widgetsaddons-dev (>= 5.16.0),
               libkf5xmlgui-dev (>= 5.16.0),
               libkproperty3-dev (>= 3.1.91~),
               libkreport3-dev (>= 3.1.91~),
               libpq-dev,
               pkgconf,
               pkg-kde-tools (>= 0.15.16),
               postgresql-server-dev-all,
               qtbase5-dev (>= 5.4.0),
               qttools5-dev (>= 5.4.0),
Standards-Version: 4.7.2
Homepage: https://www.kexi-project.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kexi.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kexi

Package: kexi
Architecture: any
Section: database
Depends: kexi-data (>= ${source:Version}),
         breeze-icon-theme-rcc,
         libkdb3-driver-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kexi-mysql-driver,
          kexi-postgresql-driver,
Description: visual database applications builder
 KEXI is a visual database applications builder. It can be used for
 designing database applications, inserting and editing data,
 performing queries, and processing data. Forms can be created to
 provide a custom interface to your data. All database objects -
 tables, queries, forms, reports - are stored in the database, making
 it easy to share data and design.
 .
 KEXI is considered as a long awaited Open Source competitor for MS Access,
 Filemaker and Oracle Forms. Its development is motivated by the lack of
 Rapid Application Development (RAD) tools for database systems that are
 sufficiently powerful, inexpensive, open standards driven and portable
 across many operating systems and hardware platforms.

Package: kexi-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for kexi
 This package contains architecture-independent data files for KEXI, the
 database program shipped with the Calligra Suite.
 .
 See the 'kexi' package for further information.

Package: kexi-mysql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), libkdb3-driver-mysql, ${misc:Depends}, ${shlibs:Depends}
Description: MySQL support for kexi
 KEXI is a visual database applications builder. It can be used for
 designing database applications, inserting and editing data,
 performing queries, and processing data. Forms can be created to
 provide a custom interface to your data. All database objects -
 tables, queries, forms, reports - are stored in the database, making
 it easy to share data and design.
 .
 This package provides support for MySQL in KEXI.

Package: kexi-postgresql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), libkdb3-driver-postgresql, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL support for kexi
 KEXI is a visual database applications builder. It can be used for
 designing database applications, inserting and editing data,
 performing queries, and processing data. Forms can be created to
 provide a custom interface to your data. All database objects -
 tables, queries, forms, reports - are stored in the database, making
 it easy to share data and design.
 .
 This package provides support for PostgreSQL in KEXI.
