=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEFAULT_PGSQL_VERSION = $(lastword $(shell /usr/share/postgresql-common/supported-versions))

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		-DBUILD_TESTING=OFF \
		-DKEXI_QTGUI_RUNTIME_AVAILABLE=OFF \
		-DPostgreSQL_ADDITIONAL_VERSIONS=$(DEFAULT_PGSQL_VERSION) \
		-DSHOULD_BUILD_DOC=ON

execute_after_dh_auto_install:
	# remove symlinks of private libraries
	find debian/tmp -name '*.so' -type l -print -delete
	# remove translations of unbuilt stuff
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/kexiforms_mapwidgetplugin.mo

.PHONY: override_dh_auto_test
