=== debian/watch ===
version=4
https://download.kde.org/stable/kexi/src/@PACKAGE@-([\d.]+)\.tar\.xz
